MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031765Open CASCADE[OCCT] OCCT:Codingpublic2020-09-14 13:242020-12-02 17:13
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0031765: Coding Rules - eliminate GCC compiler warnings -Wcatch-value in IVtk
DescriptionWarnings appear on
Debian 10
gcc (Debian 8.3.0-6) 8.3.0
http://jenkins-test-11.nnov.opencascade.com/view/WEEK-37_WEEK-37/view/OCCT%20compile/job/WEEK-37_WEEK-37-OCCT-Debian10-64-opt-compile/4/parsed_console/ [^]

Fedora 26
gcc (GCC) 7.3.1 20180130 (Red Hat 7.3.1-2)
http://jenkins-test-11.nnov.opencascade.com/view/WEEK-37_WEEK-37/view/OCCT%20compile/job/WEEK-37_WEEK-37-OCCT-F26-64-opt-compile/11/parsed_console/ [^]
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031699closedbugmaster Community IVtkOCC_ShapePickerAlgo.cxx is missing a break in a switch/case starting at line 132 
child of 0030611closedkgv Open CASCADE Coding Rules - eliminate GCC compiler warnings -Wcatch-value 

-  Notes
(0094725)
git (administrator)
2020-09-14 14:05

Branch CR31765 has been created by kgv.

SHA-1: ff3d67668fb409f3d22de16387322e68a38a96fc


Detailed log of new commits:

Author: kgv
Date: Mon Sep 14 14:08:26 2020 +0300

    0031765: Coding Rules - eliminate GCC compiler warnings -Wcatch-value in IVtk
    
    Catched exceptions are now passed by reference and error message is printed.
    Added Standard_FALLTHROUGH to IVtkOCC_ShapePickerAlgo::SetSelectionMode().
(0094726)
kgv (developer)
2020-09-14 14:06

Please check warnings on branch CR31765.
(0095252)
git (administrator)
2020-09-23 19:16

Branch CR31765_1 has been created by kgv.

SHA-1: ed35c9de760dd46a8fd49281b5bfadf3ab1914a9


Detailed log of new commits:

Author: kgv
Date: Mon Sep 14 14:08:26 2020 +0300

    0031765: Coding Rules - eliminate GCC compiler warnings -Wcatch-value in IVtk
    
    Catched exceptions are now passed by reference and error message is printed.
    Added Standard_FALLTHROUGH to IVtkOCC_ShapePickerAlgo::SetSelectionMode().
(0095366)
bugmaster (administrator)
2020-09-27 14:11

Combination -
OCCT branch : IR-2020-09-25
master SHA - d7bc5c833ec064bd103ebbff2882146ad5a7e7de
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-25 SHA - a8c0c30ba368a2503bbdf9800228ace93993dfff
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18039.260000000093 / 17637.5100000001 [+2.28%]
Products
Total CPU difference: 12124.200000000114 / 12092.06000000011 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19753.9375 / 18982.296875 [+4.07%]
Products
Total CPU difference: 13527.921875 / 13315.40625 [+1.60%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095386)
git (administrator)
2020-09-27 14:29

Branch CR31765_1 has been deleted by inv.

SHA-1: ed35c9de760dd46a8fd49281b5bfadf3ab1914a9
(0095402)
git (administrator)
2020-09-27 14:30

Branch CR31765 has been deleted by inv.

SHA-1: ff3d67668fb409f3d22de16387322e68a38a96fc

- Related Changesets
occt: master 9df04979
Timestamp: 2020-09-14 11:08:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031765: Coding Rules - eliminate GCC compiler warnings -Wcatch-value in IVtk

Catched exceptions are now passed by reference and error message is printed.
Added Standard_FALLTHROUGH to IVtkOCC_ShapePickerAlgo::SetSelectionMode().
mod - src/IVtkOCC/IVtkOCC_SelectableObject.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-14 13:24 bugmaster New Issue
2020-09-14 13:24 bugmaster Assigned To => nds
2020-09-14 13:25 bugmaster Status new => assigned
2020-09-14 13:52 bugmaster Assigned To nds => kgv
2020-09-14 13:53 bugmaster Product Version => 7.4.0
2020-09-14 14:03 kgv Relationship added child of 0030611
2020-09-14 14:03 kgv Summary Coding - warnings [-Wcatch-value=] in IVtk => Coding Rules - eliminate GCC compiler warnings -Wcatch-value in IVtk
2020-09-14 14:05 git Note Added: 0094725
2020-09-14 14:06 kgv Note Added: 0094726
2020-09-14 14:06 kgv Assigned To kgv => bugmaster
2020-09-14 14:06 kgv Status assigned => resolved
2020-09-14 14:06 kgv Category OCCT:VIS => OCCT:Coding
2020-09-14 14:06 kgv Steps to Reproduce Updated View Revisions
2020-09-14 14:07 kgv Relationship added related to 0031699
2020-09-21 17:24 kgv Status resolved => reviewed
2020-09-21 18:04 bugmaster Target Version 7.5.0 => 7.6.0*
2020-09-21 19:26 kgv Target Version 7.6.0* => 7.5.0
2020-09-23 19:16 git Note Added: 0095252
2020-09-27 12:15 bugmaster Test case number => Not required
2020-09-27 14:11 bugmaster Note Added: 0095366
2020-09-27 14:11 bugmaster Status reviewed => tested
2020-09-27 14:13 bugmaster Changeset attached => occt master 9df04979
2020-09-27 14:13 bugmaster Status tested => verified
2020-09-27 14:13 bugmaster Resolution open => fixed
2020-09-27 14:29 git Note Added: 0095386
2020-09-27 14:30 git Note Added: 0095402
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker